libgit2-0.20.0-2.el6.i686.rpm


Advertisement

Description

libgit2 - C implementation of the Git core methods as a library with a solid API

Property Value
Distribution CentOS 6
Repository EPEL i386
Package filename libgit2-0.20.0-2.el6.i686.rpm
Package name libgit2
Package version 0.20.0
Package release 2.el6
Package architecture i686
Package type rpm
Homepage http://libgit2.github.com/
License GPLv2 with exceptions
Maintainer -
Download size 323.64 KB
Installed size 763.22 KB
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

Alternatives

Package Version Architecture Repository
libgit2-0.20.0-2.el6.x86_64.rpm 0.20.0 x86_64 EPEL
libgit2-0.20.0-2.el6.i686.rpm 0.20.0 i686 EPEL
libgit2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.8) -
libhttp_parser.so.2 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libssh2.so.1 -
libssl.so.10 -
libssl.so.10(libssl.so.10) -
libz.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
bundled(libxdiff) -
libgit2 = 0.20.0-2.el6
libgit2(x86-32) = 0.20.0-2.el6
libgit2.so.0 -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package libgit2-0.20.0-2.el6.i686.rpm
Source Package libgit2-0.20.0-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/i386/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install libgit2 rpm package:
    # yum install libgit2

Files

Path
/usr/lib/libgit2.so.0
/usr/lib/libgit2.so.0.20.0
/usr/share/doc/libgit2-0.20.0/AUTHORS
/usr/share/doc/libgit2-0.20.0/COPYING

Changelog

2014-10-05 - Erik Johnson <erik@saltstack.com> - 1:0.20.0-2
- Fix dependency for libgit2-devel
2014-09-20 - Erik Johnson <erik@saltstack.com> - 1:0.20.0-1
- Revert to 0.20.0 for EL6 because 0.21-compatible python bindings can't be built
2014-06-21 - Christopher Meng <rpm@cicku.me> - 0.21.0-1
- Update to 0.21.0
2014-06-06 - Karsten Hopp <karsten@redhat.com> 0.20.0-4
- temporarily disable checks on ppc64 and s390x (Bugzilla 1105552)
2014-03-27 - Mathieu Bridon <bochecha@fedoraproject.org> - 0.20.0-3
- Fix build requirement on libssh2-devel. (RHBZ#1039433)
2014-03-25 - Mathieu Bridon <bochecha@fedoraproject.org> - 0.20.0-2
- Build with the bundled xdiff.
- Disable a failing test. (libgit2#2199)
- Add missing build requirement on libssh2. (RHBZ#1039433)
- Build a thread-safe libgit2.
2013-11-24 - Ignacio Casal Quinteiro <icq@gnome.org> - 0.20.0-1
- 0.20.0
2013-08-03 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
2013-06-25 - Veeti Paananen <veeti.paananen@rojekti.fi> - 0.19.0-1
- 0.19.0
2013-06-19 - Dan HorĂ¡k <dan[at]danny.cz> - 0.18.0-5
- Add htonl() and friends declarations on non-x86 arches
- Rebuilt with fixed libxdiff for big endian arches

See Also

Package Description
libgit2-devel-0.20.0-2.el6.i686.rpm Development files for libgit2
libglvnd-1.0.1-0.1.git5baa1e5.el6.i686.rpm The GL Vendor-Neutral Dispatch library
libglvnd-core-devel-1.0.1-0.1.git5baa1e5.el6.i686.rpm Core development files for libglvnd
libglvnd-devel-1.0.1-0.1.git5baa1e5.el6.i686.rpm Development files for libglvnd
libglvnd-egl-1.0.1-0.1.git5baa1e5.el6.i686.rpm EGL support for libglvnd
libglvnd-gles-1.0.1-0.1.git5baa1e5.el6.i686.rpm GLES support for libglvnd
libglvnd-glx-1.0.1-0.1.git5baa1e5.el6.i686.rpm GLX support for libglvnd
libglvnd-opengl-1.0.1-0.1.git5baa1e5.el6.i686.rpm OpenGL support for libglvnd
libgsasl-1.4.0-4.el6.i686.rpm GNU SASL library
libgsasl-devel-1.4.0-4.el6.i686.rpm Development files for libgsasl
libgstroke-0.5.1-33.el6.i686.rpm Optional libgstroke files
libgstroke-devel-0.5.1-33.el6.i686.rpm Development files for the libstroke library
libgta-1.0.2-2.el6.i686.rpm Library that implements the Generic Tagged Arrays file format
libgta-devel-1.0.2-2.el6.i686.rpm Development Libraries for libgta
libgta-doc-1.0.2-2.el6.noarch.rpm API documentation for libgta
Advertisement
Advertisement